Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class RequestAuthenticationProcessingFilter

    java.lang.Object
      org.acegisecurity.ui.AbstractProcessingFilter
          com.jaspersoft.jasperserver.api.metadata.user.service.impl.RequestAuthenticationProcessingFilter

All Implemented Interfaces:
  javax.servlet.Filter, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationEventPublisherAware, org.springframework.context.MessageSourceAware

    public class RequestAuthenticationProcessingFilter

extends org.acegisecurity.ui.AbstractProcessingFilter

Field Summary
`static java.lang.String` | `REQUEST_AUTHENTICATION_ID`

Fields inherited from class org.acegisecurity.ui.AbstractProcessingFilter
`ACEGI_SAVED_REQUEST_KEY, ACEGI_SECURITY_LAST_EXCEPTION_KEY, authenticationDetailsSource, eventPublisher, logger, messages`

Constructor Summary
`RequestAuthenticationProcessingFilter()`

Method Summary
`void` | `afterPropertiesSet()`
`org.acegisecurity.Authentication` | `attemptAuthentication(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `getDefaultFilterProcessesUrl()`
`protected java.util.Map` | `obtainRequestParameters(javax.servlet.http.HttpServletRequest request)`
`protected boolean` | `requiresAuthentication(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `successfulAuthentication(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.acegisecurity.Authentication authResult)`

Methods inherited from class org.acegisecurity.ui.AbstractProcessingFilter
`destroy, doFilter, getAuthenticationFailureUrl, getAuthenticationManager, getDefaultTargetUrl, getExceptionMappings, getFilterProcessesUrl, getRememberMeServices, init, isAlwaysUseDefaultTargetUrl, isContinueChainBeforeSuccessfulAuthentication, obtainFullRequestUrl, onPreAuthentication, onSuccessfulAuthentication, onUnsuccessfulAuthentication, sendRedirect, setAlwaysUseDefaultTargetUrl, setApplicationEventPublisher, setAuthenticationDetailsSource, setAuthenticationFailureUrl, setAuthenticationManager, setContinueChainBeforeSuccessfulAuthentication, setDefaultTargetUrl, setExceptionMappings, setFilterProcessesUrl, setMessageSource, setRememberMeServices, unsuccessfulAuthentication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_AUTHENTICATION_ID

    public static final java.lang.String REQUEST_AUTHENTICATION_ID

See Also:
  Constant Field Values

Constructor Detail

### RequestAuthenticationProcessingFilter

    public RequestAuthenticationProcessingFilter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `org.acegisecurity.ui.AbstractProcessingFilter`
  Throws:
    `java.lang.Exception`

### attemptAuthentication

    public org.acegisecurity.Authentication attemptAuthentication(javax.servlet.http.HttpServletRequest request)
                                                           throws org.acegisecurity.AuthenticationException

  Specified by:
    `attemptAuthentication` in class `org.acegisecurity.ui.AbstractProcessingFilter`
  Throws:
    `org.acegisecurity.AuthenticationException`

### requiresAuthentication

    protected boolean requiresAuthentication(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response)

  Overrides:
    `requiresAuthentication` in class `org.acegisecurity.ui.AbstractProcessingFilter`

### successfulAuthentication

    protected void successfulAuthentication(javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response,
                                            org.acegisecurity.Authentication authResult)
                                     throws java.io.IOException

  Overrides:
    `successfulAuthentication` in class `org.acegisecurity.ui.AbstractProcessingFilter`
  Throws:
    `java.io.IOException`

### obtainRequestParameters

    protected java.util.Map obtainRequestParameters(javax.servlet.http.HttpServletRequest request)

### getDefaultFilterProcessesUrl

    public java.lang.String getDefaultFilterProcessesUrl()

  Specified by:
    `getDefaultFilterProcessesUrl` in class `org.acegisecurity.ui.AbstractProcessingFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.